Index: sandbox/workflow/branches/609/inc/engine/config.egw.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/engine/config.egw.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/engine/config.egw.inc.php	(revision 2233)
@@ -151,5 +151,5 @@
 	function galaxia_user_can_admin_process()
 	{
-		return ($GLOBALS['workflow']['factory']->getInstance('workflow_acl')->checkWorkflowAdmin($GLOBALS['phpgw_info']['user']['account_id']) || $GLOBALS['phpgw']->acl->check('admin_workflow', 1, 'workflow'));
+		return (Factory::getInstance('workflow_acl')->checkWorkflowAdmin($GLOBALS['phpgw_info']['user']['account_id']) || $GLOBALS['phpgw']->acl->check('admin_workflow', 1, 'workflow'));
 	}
 }
@@ -165,5 +165,5 @@
 	function galaxia_user_can_admin_instance()
 	{
-		return ($GLOBALS['workflow']['factory']->getInstance('workflow_acl')->checkWorkflowAdmin($GLOBALS['phpgw_info']['user']['account_id']) || $GLOBALS['phpgw']->acl->check('admin_instance_workflow', 1, 'workflow'));
+		return (Factory::getInstance('workflow_acl')->checkWorkflowAdmin($GLOBALS['phpgw_info']['user']['account_id']) || $GLOBALS['phpgw']->acl->check('admin_instance_workflow', 1, 'workflow'));
 	}
 }
@@ -179,5 +179,5 @@
 	function galaxia_user_can_clean_instances()
 	{
-		return ($GLOBALS['workflow']['factory']->getInstance('workflow_acl')->checkWorkflowAdmin($GLOBALS['phpgw_info']['user']['account_id']) || $GLOBALS['phpgw']->acl->check('cleanup_workflow', 1, 'workflow'));
+		return (Factory::getInstance('workflow_acl')->checkWorkflowAdmin($GLOBALS['phpgw_info']['user']['account_id']) || $GLOBALS['phpgw']->acl->check('cleanup_workflow', 1, 'workflow'));
 	}
 }
@@ -191,5 +191,5 @@
 	function galaxia_user_can_clean_aborted_instances()
 	{
-		return ($GLOBALS['workflow']['factory']->getInstance('workflow_acl')->checkWorkflowAdmin($GLOBALS['phpgw_info']['user']['account_id']) || $GLOBALS['phpgw']->acl->check('cleanup_aborted_workflow', 1, 'workflow'));
+		return (Factory::getInstance('workflow_acl')->checkWorkflowAdmin($GLOBALS['phpgw_info']['user']['account_id']) || $GLOBALS['phpgw']->acl->check('cleanup_aborted_workflow', 1, 'workflow'));
 	}
 }
@@ -203,5 +203,5 @@
 	function galaxia_user_can_monitor()
 	{
-		return ($GLOBALS['workflow']['factory']->getInstance('workflow_acl')->checkWorkflowAdmin($GLOBALS['phpgw_info']['user']['account_id']) || $GLOBALS['phpgw']->acl->check('monitor_workflow', 1, 'workflow'));
+		return (Factory::getInstance('workflow_acl')->checkWorkflowAdmin($GLOBALS['phpgw_info']['user']['account_id']) || $GLOBALS['phpgw']->acl->check('monitor_workflow', 1, 'workflow'));
 	}
 }
@@ -221,5 +221,5 @@
 				$user = $GLOBALS['phpgw_info']['user']['account_id'];
 
-			$memberships = $GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP')->getUserGroups($user);
+			$memberships = Factory::getInstance('WorkflowLDAP')->getUserGroups($user);
 
 			if ($memberships === false)
@@ -245,5 +245,5 @@
 		{
 			/* get information regarding the members of the group */
-			$members = &$GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP')->getGroupUsers($group);
+			$members = &Factory::getInstance('WorkflowLDAP')->getGroupUsers($group);
 
 			/* checl for error in the LDAP query */
Index: sandbox/workflow/branches/609/inc/engine/class.ajax_ldap.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/engine/class.ajax_ldap.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/engine/class.ajax_ldap.inc.php	(revision 2233)
@@ -29,9 +29,9 @@
 	function ajax_ldap()
 	{
-		$tmpLDAP = &$GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP');
+		$tmpLDAP = &Factory::getInstance('WorkflowLDAP');
 		$this->user_context  = $tmpLDAP->getUserContext();
 		$this->group_context = $tmpLDAP->getGroupContext();
 
-		$this->ds = &$GLOBALS['workflow']['workflowObjects']->getLDAP();
+		$this->ds =& Factory::getInstance('WorkflowObjects')->getLDAP();
 	}
 
@@ -83,5 +83,5 @@
 	function id2fullname($account_id)
     {
-		return $GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP')->getName($account_id);
+		return Factory::getInstance('WorkflowLDAP')->getName($account_id);
     }
 
@@ -107,5 +107,5 @@
 			$accountID = $_SESSION['phpgw_info']['workflow']['account_id'];
 
-		$ldap = &$GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP');
+		$ldap =& Factory::getInstance('WorkflowLDAP');
 		if (count($output = $ldap->getUserGroups($accountID)) == 0)
 			return false;
Index: sandbox/workflow/branches/609/inc/engine/config.ajax.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/engine/config.ajax.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/engine/config.ajax.inc.php	(revision 2233)
@@ -170,5 +170,5 @@
 		if ($loadGroups)
 		{
-			$memberships = $GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP')->getUserGroups($user);
+			$memberships = Factory::getInstance('WorkflowLDAP')->getUserGroups($user);
 			if ($user == $_SESSION['phpgw_info']['workflow']['account_id'])
 				$_SESSION['phpgw_info']['workflow']['user_groups'] = $memberships;
@@ -196,5 +196,5 @@
 		{
 			/* get information regarding the members of the group */
-			$ldap = &$GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP');
+			$ldap = &Factory::getInstance('WorkflowLDAP');
 			$members = $ldap->getGroupUsers($group);
 
Index: sandbox/workflow/branches/609/inc/engine/src/ProcessManager/RoleManager.php
===================================================================
--- sandbox/workflow/branches/609/inc/engine/src/ProcessManager/RoleManager.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/engine/src/ProcessManager/RoleManager.php	(revision 2233)
@@ -247,5 +247,5 @@
     $result = $this->query($query,$bindvars);
     $ret = Array();
-    $ldap = &$GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP');
+    $ldap = &Factory::getInstance('WorkflowLDAP');
     if (!(empty($result)))
     {
Index: sandbox/workflow/branches/609/inc/engine/class.ajax_config.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/engine/class.ajax_config.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/engine/class.ajax_config.inc.php	(revision 2233)
@@ -45,5 +45,5 @@
 		}
 
-		$this->db      = &$GLOBALS['workflow']['workflowObjects']->getDBExpresso();
+		$this->db      =& Factory::getInstance('WorkflowObjects')->getDBExpresso();
 		$this->appname = $appname;
   	}
@@ -51,5 +51,5 @@
  	/**
    	* Reads the whole repository for $this->appname, appname has to be set via the constructor
-   	* 
+   	*
    	* @return array the whole config-array for that app
    	* @access public
Index: sandbox/workflow/branches/609/inc/class.workflow_process.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.workflow_process.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/class.workflow_process.inc.php	(revision 2233)
@@ -16,5 +16,5 @@
 		function workflow_process()
 		{
-			parent::Process($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+			parent::Process(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 		}
 	}
Index: sandbox/workflow/branches/609/inc/class.JobScheduler.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.JobScheduler.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/class.JobScheduler.inc.php	(revision 2233)
@@ -57,6 +57,6 @@
 	{
 		$this->currentDate = new DateTime(date('Y-n-j G:i:00'));
-		$this->db = &$GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID;
-		$this->jobManager = &$GLOBALS['workflow']['factory']->getInstance('WorkflowJobManager');
+		$this->db = &Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID;
+		$this->jobManager = &Factory::getInstance('WorkflowJobManager');
 	}
 
@@ -171,5 +171,5 @@
 		$previousDir = getcwd();
 		chdir(GALAXIA_LIBRARY . '/../');
-		$output = $GLOBALS['workflow']['factory']->newInstance('Thread', 'class.JobRunner.inc.php "' . $parameters . '"');
+		$output = Factory::newInstance('Thread', 'class.JobRunner.inc.php "' . $parameters . '"');
 		chdir($previousDir);
 		return $output;
@@ -192,5 +192,5 @@
 {
 	require_once 'common.inc.php';
-	$GLOBALS['workflow']['factory']->getInstance('WorkflowMacro')->prepareEnvironment();
+	Factory::getInstance('WorkflowMacro')->prepareEnvironment();
 
 	$job = new JobScheduler();
Index: sandbox/workflow/branches/609/inc/class.so_orgchart.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.so_orgchart.inc.php	(revision 2063)
+++ sandbox/workflow/branches/609/inc/class.so_orgchart.inc.php	(revision 2233)
@@ -127,6 +127,6 @@
 		$this->isAdmin = $_SESSION['phpgw_info']['workflow']['user_is_admin'];
 		$this->acl = &$GLOBALS['ajax']->acl;
-		$this->db = &$GLOBALS['workflow']['workflowObjects']->getDBWorkflow()->Link_ID;
-		$this->db = &$GLOBALS['workflow']['workflowObjects']->getDBWorkflow()->Link_ID;
+		$this->db = &Factory::getInstance('WorkflowObjects')->getDBWorkflow()->Link_ID;
+		$this->db = &Factory::getInstance('WorkflowObjects')->getDBWorkflow()->Link_ID;
 		$this->db->SetFetchMode(ADODB_FETCH_ASSOC);
 	}
@@ -711,5 +711,5 @@
 
 		$output = $result->GetArray(-1);
-		$cachedLDAP = $GLOBALS['workflow']['factory']->newInstance('CachedLDAP');
+		$cachedLDAP = Factory::newInstance('CachedLDAP');
 		$cachedLDAP->setOperationMode($cachedLDAP->OPERATION_MODE_LDAP_DATABASE);
 		for ($i = 0; $i < count($output); $i++)
@@ -765,6 +765,6 @@
 
 		/* search for the $searchTerm in the LDAP */
-		$ldap = &$GLOBALS['workflow']['workflowObjects']->getLDAP();
-		$list = @ldap_search($ldap, $GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP')->getLDAPContext(), $ldapSearch, array('uidnumber', 'cn', 'uid'));
+		$ldap = &Factory::getInstance('WorkflowObjects')->getLDAP();
+		$list = @ldap_search($ldap, Factory::getInstance('WorkflowLDAP')->getLDAPContext(), $ldapSearch, array('uidnumber', 'cn', 'uid'));
 		if ($list === false)
 			die(serialize("O sistema de busca não pode ser utilizado nesta organização."));
@@ -774,5 +774,5 @@
 
 		/* search for the $searchTerm in the DB */
-		$resultSet = $GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID->query($DBSearch, $DBValues)->GetArray(-1);
+		$resultSet = Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID->query($DBSearch, $DBValues)->GetArray(-1);
 		foreach ($resultSet as $row)
 			if (!isset($unifiedResult[$row['uidnumber']]))
@@ -823,5 +823,5 @@
 		{
 			$errors = array(
-				"O funcionário \"" . $GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP')->getName($employeeID) . "\" já pertença à área \"{$row['sigla']}\".",
+				"O funcionário \"" . Factory::getInstance('WorkflowLDAP')->getName($employeeID) . "\" já pertença à área \"{$row['sigla']}\".",
 				'-----------------',
 				'Caso você queira colocá-lo na área selecionada, siga o procedimento: faça uma busca por seu nome, clique para editá-lo e, troque pela área desejada.'
@@ -881,5 +881,5 @@
 		{
 			$errors = array(
-				"O funcionário \"" . $GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP')->getName($employeeID) . "\" é titular, substituto, já participou de substituição ou é auxiliar administrativo das seguintes áreas: " . implode(", ", $areas),
+				"O funcionário \"" . Factory::getInstance('WorkflowLDAP')->getName($employeeID) . "\" é titular, substituto, já participou de substituição ou é auxiliar administrativo das seguintes áreas: " . implode(", ", $areas),
 				'-----------------',
 				'Se você quiser excluir este funcionário, precisa removê-lo dos "cargos" que ele possui nas áreas citadas.'
@@ -919,5 +919,5 @@
 		$this->_checkError($result);
 
-		$ldap = &$GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP');
+		$ldap = &Factory::getInstance('WorkflowLDAP');
 		while ($row = $result->fetchRow(DB_FETCHMODE_ASSOC))
 		{
@@ -999,5 +999,5 @@
 			$query = 'SELECT 1 FROM funcionario WHERE (funcionario_id = ?)';
 			if (!$this->db->query($query, $checkEmployee)->fetchRow())
-				$errors[] = "O funcionário \"" . $GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP')->getName($checkEmployee) . "\" não está vinculado a uma área.";
+				$errors[] = "O funcionário \"" . Factory::getInstance('WorkflowLDAP')->getName($checkEmployee) . "\" não está vinculado a uma área.";
 		}
 
@@ -1044,5 +1044,5 @@
 			$query = 'SELECT 1 FROM funcionario WHERE (funcionario_id = ?)';
 			if (!$this->db->query($query, $checkEmployee)->fetchRow())
-				$errors[] = "O funcionário \"" . $GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP')->getName($checkEmployee) . "\" não está vinculado a uma área.";
+				$errors[] = "O funcionário \"" . Factory::getInstance('WorkflowLDAP')->getName($checkEmployee) . "\" não está vinculado a uma área.";
 		}
 
@@ -1096,5 +1096,5 @@
 		$outputInfo = array();
 
-		$cachedLDAP = $GLOBALS['workflow']['factory']->newInstance('CachedLDAP');
+		$cachedLDAP = Factory::newInstance('CachedLDAP');
 
 		/* here we need fresh information. Let's access ldap first */
@@ -1262,5 +1262,5 @@
 		);
 
-		$cachedLDAP = $GLOBALS['workflow']['factory']->newInstance('CachedLDAP');
+		$cachedLDAP = Factory::newInstance('CachedLDAP');
 		$cachedLDAP->setOperationMode($cachedLDAP->OPERATION_MODE_LDAP_DATABASE);
 		if (!empty($areaInfo['titular_funcionario_id']))
@@ -1512,5 +1512,5 @@
 
 		/* we must query ldap to get full user names. In workflow db we just store uids */
-		$cachedLDAP = $GLOBALS['workflow']['factory']->newInstance('CachedLDAP');
+		$cachedLDAP = Factory::newInstance('CachedLDAP');
 
 		$cachedLDAP->getEntryByID();
Index: sandbox/workflow/branches/609/inc/class.so_adminaccess.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.so_adminaccess.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/class.so_adminaccess.inc.php	(revision 2233)
@@ -77,5 +77,5 @@
 	{
 		$output = array();
-		$names = $GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP')->getNames($userIDs);
+		$names = Factory::getInstance('WorkflowLDAP')->getNames($userIDs);
 		foreach ($names as $name)
 			$output[] = array(
@@ -201,6 +201,6 @@
 		if (!is_object($GLOBALS['phpgw']->acl))
 		{
-			$GLOBALS['phpgw']->db = &$GLOBALS['workflow']['workflowObjects']->getDBExpresso();
-			$GLOBALS['phpgw']->acl = &$GLOBALS['workflow']['factory']->getForeignInstance('phpgwapi', 'acl', $userID);
+			$GLOBALS['phpgw']->db =& Factory::getInstance('WorkflowObjects')->getDBExpresso();
+			$GLOBALS['phpgw']->acl =& Factory::getForeignInstance('phpgwapi', 'acl', $userID);
 		}
 
Index: sandbox/workflow/branches/609/inc/class.bo_participants.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.bo_participants.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/class.bo_participants.inc.php	(revision 2233)
@@ -34,5 +34,5 @@
 	function bo_participants()
 	{
-		$this->ldap = &$GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP');
+		$this->ldap = &Factory::getInstance('WorkflowLDAP');
 	}
 
Index: sandbox/workflow/branches/609/inc/common.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/common.inc.php	(revision 2223)
+++ sandbox/workflow/branches/609/inc/common.inc.php	(revision 2233)
@@ -17,5 +17,13 @@
  * @name EGW_SERVER_ROOT
  */
-define('EGW_SERVER_ROOT', $HTTP_SERVER_VARS['DOCUMENT_ROOT']);
+define('EGW_SERVER_ROOT', $GLOBALS['HTTP_SERVER_VARS']['DOCUMENT_ROOT']);
+
+/**
+ * Server include base path. We must define our own constants
+ * because there are several cases in which workflow is called
+ * directly, thus PHPGW constants are not defined.
+ * @name EGW_INC_ROOT
+ */
+define('EGW_INC_ROOT', EGW_SERVER_ROOT . '/phpgwapi/inc/');
 
 /**
Index: sandbox/workflow/branches/609/inc/class.ui_adminroles.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.ui_adminroles.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/class.ui_adminroles.inc.php	(revision 2233)
@@ -254,8 +254,8 @@
 			$this->t->set_var('list_mappings', '<tr><td colspan="3" align="center">'. lang('There are no mappings defined for this process')  .'</td></tr>');
 		}
-		else {	
+		else {
 			/* load the LDAP information */
-			$cachedLDAP = $GLOBALS['workflow']['factory']->getInstance('CachedLDAP');
-			$tmpLDAP = &$GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP');
+			$cachedLDAP = Factory::getInstance('CachedLDAP');
+			$tmpLDAP = &Factory::getInstance('WorkflowLDAP');
 			$userContext  = $tmpLDAP->getUserContext();
 			$groupContext = $tmpLDAP->getGroupContext();
@@ -264,10 +264,10 @@
 			{
 				if ($mapping['wf_account_type'] == 'g') {
-					$sri = ldap_search($GLOBALS['workflow']['workflowObjects']->getLDAP(), 
-									$groupContext, 
+					$sri = ldap_search(Factory::getInstance('WorkflowObjects')->getLDAP(),
+									$groupContext,
 									'(&(gidnumber=' . (int)$mapping['wf_user'] . ')(phpgwAccountType=g))');
-									
-					$allValues = ldap_get_entries($GLOBALS['workflow']['workflowObjects']->getLDAP(), $sri);
-					
+
+					$allValues = ldap_get_entries(Factory::getInstance('WorkflowObjects')->getLDAP(), $sri);
+
 					$cname = $GLOBALS['phpgw']->translation->convert($allValues[0]['cn'][0],'utf-8');
 					$glabel = '[' . lang('Group') . ']';
@@ -280,5 +280,5 @@
 						$glabel = '<font color="red">(excluído)</font>';
 				}
-				
+
 				$this->t->set_var(array(
 					'map_user_id'	=> $mapping['wf_user'],
@@ -313,9 +313,9 @@
 	 * Show users roles selects
 	 * @param string $all_roles_data
-	 * @return 
+	 * @return
 	 */
 	function show_users_roles_selects($all_roles_data)
 	{
-		$templateServer = &$GLOBALS['workflow']['factory']->getInstance('TemplateServer');
+		$templateServer = &Factory::getInstance('TemplateServer');
 		$imgaddusers = $templateServer->generateImageLink('add_group.png');
 		$imgdelusers = $templateServer->generateImageLink('delete_group.png');
@@ -325,5 +325,5 @@
 			'src_img_del_users' => $imgdelusers
 		));
-		
+
 		$this->t->set_block('admin_roles', 'block_select_roles', 'select_roles');
 		foreach ($all_roles_data as $role)
Index: sandbox/workflow/branches/609/inc/class.WorkflowUtils.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.WorkflowUtils.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/class.WorkflowUtils.inc.php	(revision 2233)
@@ -107,5 +107,5 @@
 		/**
 		 * Fill the process bar
-		 * 
+		 *
 		 * @param array $proc_info
 		 * @access public
@@ -116,5 +116,5 @@
 			//echo "proc_info: <pre>";print_r($proc_info);echo "</pre>";
 			$this->t->set_file('proc_bar_tpl', 'proc_bar.tpl');
-			$templateServer = &$GLOBALS['workflow']['factory']->getInstance('TemplateServer');
+			$templateServer = &Factory::getInstance('TemplateServer');
 
 			if ($proc_info['wf_is_valid'] == 'y')
@@ -170,5 +170,5 @@
 		/**
 		 * Select activity representation icon
-		 *  
+		 *
 		 * @var string $type type of activity
 		 * @var bool   $interactive interactive?
@@ -207,10 +207,10 @@
 					$ic="no-activity.gif";
 			}
-			return '<img src="'. $GLOBALS['workflow']['factory']->getInstance('TemplateServer')->generateImageLink($ic) .'" alt="'. lang($type) .'" title="'. lang($type) .'" />';
-		}
-	
+			return '<img src="'. Factory::getInstance('TemplateServer')->generateImageLink($ic) .'" alt="'. lang($type) .'" title="'. lang($type) .'" />';
+		}
+
 		/**
 		 * Translate template file
-		 * @param string $template_name template name 
+		 * @param string $template_name template name
 		 * @return void
 		 * @access public
@@ -387,12 +387,12 @@
 		{
 			$file = "css/$css_name" . (($print_mode !== false) ? '_print' : '') . '.css';
-			return $GLOBALS['workflow']['factory']->getInstance('TemplateServer')->getWebFile($file);
-		}
-		
+			return Factory::getInstance('TemplateServer')->getWebFile($file);
+		}
+
 		/**
 		 * Return a given duration in human readable form, usefull for workitems duration
 		 * @param int $to given duration
 		 * @return string given duration in human readable form
-		 * @access public 
+		 * @access public
 		 */
 		function time_diff($to) {
Index: sandbox/workflow/branches/609/inc/class.WorkflowMacro.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.WorkflowMacro.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/class.WorkflowMacro.inc.php	(revision 2233)
@@ -40,5 +40,5 @@
 		require dirname(__FILE__) . '/../setup/setup.inc.php'; /* DO NOT USE require_once */
 		$GLOBALS['phpgw_info']['apps']['workflow'] = $setup_info['workflow'];
-		$row = $GLOBALS['workflow']['workflowObjects']->getDBExpresso()->Link_ID->query('SELECT config_value FROM phpgw_config WHERE config_app = ? AND config_name = ?', array('phpgwapi', 'files_dir'))->fetchRow();
+		$row = Factory::getInstance('WorkflowObjects')->getDBExpresso()->Link_ID->query('SELECT config_value FROM phpgw_config WHERE config_app = ? AND config_name = ?', array('phpgwapi', 'files_dir'))->fetchRow();
 		$_SESSION['phpgw_info']['workflow']['vfs_basedir'] = ($row !== false) ? $row['config_value'] : '/home/expressolivre';
 		$_SESSION['phpgw_info']['workflow']['phpgw_api_inc'] = PHPGW_API_INC;
@@ -67,5 +67,5 @@
 		require_once PHPGW_SERVER_ROOT . '/workflow/inc/local/functions/local.functions.php';
 
-		$runtime = new WfRuntime($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+		$runtime = new WfRuntime(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 		$runtime->loadProcess($processID);
 
Index: sandbox/workflow/branches/609/inc/class.ui_participants.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.ui_participants.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/class.ui_participants.inc.php	(revision 2233)
@@ -41,5 +41,5 @@
 	function ui_participants()
 	{
-		$this->bo = $GLOBALS['workflow']['factory']->getInstance('bo_participants');
+		$this->bo = Factory::getInstance('bo_participants');
 	}
 
@@ -51,9 +51,9 @@
 	function form()
 	{
-		$smarty = $GLOBALS['workflow']['factory']->getInstance('workflow_smarty', false);
+		$smarty = Factory::getInstance('workflow_smarty', false);
 		$smarty->setHeader(workflow_smarty::SHOW_HEADER | workflow_smarty::SHOW_FOOTER);
-		$ldap = $GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP');
+		$ldap = Factory::getInstance('WorkflowLDAP');
 		$userDN = $GLOBALS['phpgw_info']['user']['account_dn'];
-		$account = $GLOBALS['workflow']['factory']->getForeignInstance('phpgwapi', 'accounts', $userDN);
+		$account = Factory::getInstance('accounts', $userDN);
 		$organizationList = $this->bo->getOrganizations();
 
Index: sandbox/workflow/branches/609/inc/class.external_bridge.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.external_bridge.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/class.external_bridge.inc.php	(revision 2233)
@@ -52,6 +52,6 @@
 	function external_bridge()
 	{
-		$this->db = $GLOBALS['workflow']['workflowObjects']->getDBGalaxia();
-		$this->acl = new so_adminaccess($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+		$this->db = Factory::getInstance('WorkflowObjects')->getDBGalaxia();
+		$this->acl = new so_adminaccess(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 	}
 	/**
@@ -156,5 +156,5 @@
 
 		/* assign variables to the template */
-		$smarty = $GLOBALS['workflow']['factory']->getInstance('workflow_smarty', false);
+		$smarty = Factory::getInstance('workflow_smarty', false);
 		$smarty->assign('encodedForm', $encodedForm);
 		$smarty->assign('siteAddress', $this->siteAddress);
Index: sandbox/workflow/branches/609/inc/class.workflow_instance.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.workflow_instance.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/class.workflow_instance.inc.php	(revision 2233)
@@ -20,5 +20,5 @@
 		function workflow_Instance()
 		{
-			parent::Instance($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+			parent::Instance(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 		}
 	}
Index: sandbox/workflow/branches/609/inc/class.so_userinterface.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.so_userinterface.inc.php	(revision 2094)
+++ sandbox/workflow/branches/609/inc/class.so_userinterface.inc.php	(revision 2233)
@@ -22,5 +22,5 @@
 	function so_userinterface()
 	{
-		$this->db = &$GLOBALS['workflow']['workflowObjects']->getDBWorkflow()->Link_ID;
+		$this->db =& Factory::getInstance('WorkflowObjects')->getDBWorkflow()->Link_ID;
 		$this->db->SetFetchMode(ADODB_FETCH_ASSOC);
 	}
@@ -93,5 +93,5 @@
 		if (!empty($externalApplicationsID))
 		{
-			$result = $GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID->query("SELECT DISTINCT external_application_id, name, address, image, authentication, intranet_only FROM egw_wf_external_application WHERE (external_application_id IN (" . implode(', ', $externalApplicationsID)  . ")) ORDER BY name");
+			$result = Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID->query("SELECT DISTINCT external_application_id, name, address, image, authentication, intranet_only FROM egw_wf_external_application WHERE (external_application_id IN (" . implode(', ', $externalApplicationsID)  . ")) ORDER BY name");
 			$preOutput = $result->GetArray(-1);
 
@@ -245,5 +245,5 @@
 
 		$employees = $result->GetArray(-1);
-		$cachedLDAP = $GLOBALS['workflow']['factory']->newInstance('CachedLDAP');
+		$cachedLDAP = Factory::newInstance('CachedLDAP');
 		$cachedLDAP->setOperationMode($cachedLDAP->OPERATION_MODE_NORMAL);
 		$categoriesCount = array();
@@ -318,5 +318,5 @@
 
 		$employees = $result->GetArray(-1);
-		$cachedLDAP = $GLOBALS['workflow']['factory']->newInstance('CachedLDAP');
+		$cachedLDAP = Factory::newInstance('CachedLDAP');
 		$cachedLDAP->setOperationMode($cachedLDAP->OPERATION_MODE_NORMAL);
 		for ($i = 0; $i < count($employees); $i++)
@@ -370,5 +370,5 @@
 
 		/* searching employees by name in the ldap server */
-		$list = @ldap_search($ldap, $GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP')->getLDAPContext(), ('(&(cn=*' . $searchTerm . '*)(phpgwaccounttype=u))'), array('uidNumber', 'cn', 'telephoneNumber'));
+		$list = @ldap_search($ldap, Factory::getInstance('WorkflowLDAP')->getLDAPContext(), ('(&(cn=*' . $searchTerm . '*)(phpgwaccounttype=u))'), array('uidNumber', 'cn', 'telephoneNumber'));
 		if ($list === false)
 			return false;
@@ -466,5 +466,5 @@
 
 		/* executing it */
-		$list = @ldap_search($ldap, $GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP')->getLDAPContext(), $ldap_query, array('uidNumber', 'cn', 'telephoneNumber'));
+		$list = @ldap_search($ldap, Factory::getInstance('WorkflowLDAP')->getLDAPContext(), $ldap_query, array('uidNumber', 'cn', 'telephoneNumber'));
 		$entries = ldap_get_entries($ldap, $list);
 
@@ -475,5 +475,5 @@
 
 		/* we will need to search into database 'cache' for users deleted in ldap */
-		$cachedLDAP = $GLOBALS[ 'workflow' ][ 'factory' ] -> newInstance( 'CachedLDAP' );
+		$cachedLDAP = Factory::newInstance( 'CachedLDAP' );
 		$cachedLDAP -> setOperationMode( $cachedLDAP -> OPERATION_MODE_DATABASE );
 
@@ -531,5 +531,5 @@
 
 		/* searching employees by telephoneNumber in the ldap server */
-		$list = @ldap_search($ldap, $GLOBALS['workflow']['factory']->getInstance('WorkflowLDAP')->getLDAPContext(), ('(&(telephoneNumber=*' . $searchTerm . '*)(phpgwaccounttype=u))'), array('uidNumber', 'cn', 'telephoneNumber'));
+		$list = @ldap_search($ldap, Factory::getInstance('WorkflowLDAP')->getLDAPContext(), ('(&(telephoneNumber=*' . $searchTerm . '*)(phpgwaccounttype=u))'), array('uidNumber', 'cn', 'telephoneNumber'));
 
 		if (!$list) return false;
@@ -652,5 +652,5 @@
 		$result = $this -> db -> query( "SELECT a.sigla as area, a.titular_funcionario_id as titular, s.funcionario_id as substituto, s.data_inicio, s.data_fim FROM area a INNER JOIN substituicao s ON ((a.area_id = s.area_id) AND (CURRENT_DATE BETWEEN s.data_inicio AND s.data_fim)) WHERE (organizacao_id = ?) ORDER BY area", array( $organizationID ) );
 
-		$cachedLDAP = $GLOBALS[ 'workflow' ][ 'factory' ] -> newInstance( 'CachedLDAP' );
+		$cachedLDAP = Factory::newInstance( 'CachedLDAP' );
 		$cachedLDAP -> setOperationMode( $cachedLDAP -> OPERATION_MODE_LDAP_DATABASE );
 
@@ -719,5 +719,5 @@
 
 		$employees = $result -> GetArray( -1 );
-		$cachedLDAP = $GLOBALS[ 'workflow' ][ 'factory' ] -> newInstance( 'CachedLDAP' );
+		$cachedLDAP = Factory::newInstance( 'CachedLDAP' );
 		$cachedLDAP -> setOperationMode( $cachedLDAP -> OPERATION_MODE_NORMAL );
 
@@ -791,5 +791,5 @@
 		$employees = $result -> GetArray( -1 );
 
-		$cachedLDAP = $GLOBALS[ 'workflow' ][ 'factory' ] -> newInstance( 'CachedLDAP' );
+		$cachedLDAP = Factory::newInstance( 'CachedLDAP' );
 		$cachedLDAP -> setOperationMode( $cachedLDAP -> OPERATION_MODE_NORMAL );
 
@@ -817,5 +817,5 @@
 		usort( $employees, create_function( '$a,$b', 'return strcasecmp($a[\'cn\'],$b[\'cn\']);' ) );
 
-		$paging = $GLOBALS['workflow']['factory']->newInstance('Paging', 50, $_POST);
+		$paging = Factory::newInstance('Paging', 50, $_POST);
 		$employees = $paging->restrictItems( $employees );
 
Index: sandbox/workflow/branches/609/inc/class.WorkflowJobManager.inc.php
===================================================================
--- sandbox/workflow/branches/609/inc/class.WorkflowJobManager.inc.php	(revision 795)
+++ sandbox/workflow/branches/609/inc/class.WorkflowJobManager.inc.php	(revision 2233)
@@ -16,5 +16,5 @@
 	public function WorkflowJobManager()
 	{
-		parent::JobManager($GLOBALS['workflow']['workflowObjects']->getDBGalaxia()->Link_ID);
+		parent::JobManager(Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID);
 	}
 }
